> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create issue

> Create an issue, filed in Linear first and mirrored to Productlane. Requires Linear to be connected and the issues:write scope.



## OpenAPI

````yaml post /issues
openapi: 3.0.3
info:
  title: Productlane API
  description: Productlane API v2.
  version: 2.0.0
servers:
  - url: https://productlane.com/api/v2
security: []
paths:
  /issues:
    post:
      tags:
        - issues
      summary: Create issue
      description: >-
        Create an issue, filed in Linear first and mirrored to Productlane.
        Requires Linear to be connected and the issues:write scope.
      operationId: issues-create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  minLength: 1
                description:
                  type: string
                team_id:
                  type: string
                  minLength: 1
                  description: >-
                    Linear team id. Fetch from `GET /me` under
                    `linear_team_ids`.
                state_id:
                  type: string
                  minLength: 1
                  description: >-
                    Linear workflow state id. Fetch from `GET
                    /issues/workflow-states?team_id=...`.
                priority:
                  anyOf:
                    - type: number
                      enum:
                        - 0
                    - type: number
                      enum:
                        - 1
                    - type: number
                      enum:
                        - 2
                    - type: number
                      enum:
                        - 3
                    - type: number
                      enum:
                        - 4
                  description: >-
                    Linear issue priority. 0 = No priority, 1 = Urgent, 2 =
                    High, 3 = Normal, 4 = Low.
                project_id:
                  type: string
                  description: Linear project id to attach the issue to.
                assignee_id:
                  type: string
                  description: Linear user id of the assignee.
                label_ids:
                  type: array
                  items:
                    type: string
                  description: Linear label ids to attach.
              required:
                - title
                - team_id
                - state_id
                - priority
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  identifier:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
                    nullable: true
                  priority:
                    type: string
                  status:
                    type: string
                  linear_team_id:
                    type: string
                  url:
                    type: string
                  project_id:
                    type: string
                    nullable: true
                  sort_order:
                    type: number
                  total_score:
                    type: number
                  created_at:
                    type: string
                  updated_at:
                    type: string
                  linear_ticket_id:
                    type: string
                required:
                  - id
                  - identifier
                  - title
                  - description
                  - priority
                  - status
                  - linear_team_id
                  - url
                  - project_id
                  - sort_order
                  - total_score
                  - created_at
                  - updated_at
                  - linear_ticket_id
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````